Amazon Neptune 引擎版本 1.0.2.1.R2 (2019-11-25) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.1.R2 (2019-11-25)

在此引擎版本中修复的缺陷

  • 修复了影响所有具有非循环 by-traversals 和非 path() by-traversals 的 project().by() 查询的错误。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.2.1.R2 之前,请确保您的项目与以下查询语言版本兼容:

  • Grelin 版本: 3.4.1

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.2.1.R2 的路径

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

但是,不支持自动更新到此版本

升级到此版本

Amazon Neptune 1.0.2.1.R2 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.2.1 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.2.1 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新操作需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑问,Amazon可通过社区论坛和通过 Support 联系 SupportAmazonPremium Support.